const os = require('os')

const osVersion = os.platform()
const platform = `${osVersion}_${process.arch}`

const nodeToNativePlatformMap = {
  win32_x64: 'win-x64',
  win32_arm64: 'win-arm64',
  darwin_x64: 'mac',
  darwin_arm64: 'mac',
  linux_x64: 'linux-x64',
  linux_arm64: 'linux-arm64',
}

const nodeToNativeOsMap = {
  win32: 'win',
  darwin: 'mac',
  linux: 'linux',
}

function getPlatform() {
  return nodeToNativePlatformMap[platform]
}

function getOsVersion() {
  return nodeToNativeOsMap[osVersion]
}

module.exports = { getPlatform, getOsVersion }
