const isDebug = process.env['PROXY_AUTOCONF_DEBUG'] !== ''

let debugUnsupported = () => {}

if (isDebug) {
  // eslint-disable-next-line global-require
  const os = require('os')
  debugUnsupported = (functionName) => {
    console.log(`${Date()} :: DEBUG :: Unsupported: ${functionName}, ${os.platform()}`)
  }
}

// eslint-disable-next-line no-unused-vars
function getProxyAuthentication(proxyHost) {
  debugUnsupported('getProxyAuthentication')
  return ''
}

// eslint-disable-next-line no-unused-vars
function getProxyForUrl(url) {
  debugUnsupported('getProxyForUrl')
  return ''
}

module.exports = { getProxyAuthentication, getProxyForUrl }
